> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns information about Solana transactions in a given block range



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/OrderEvents/solanaDepositsAndWithdrawals
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/OrderEvents/solanaDepositsAndWithdrawals:
    get:
      tags:
        - OrderEvents
      summary: Returns information about Solana transactions in a given block range
      operationId: OrderEvents_GetSolanaDepositsAndWithdrawals
      parameters:
        - name: fromBlock
          in: query
          description: first block to get events from
          schema:
            type: integer
            format: int64
        - name: toBlock
          in: query
          description: last block to get events from
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolanaCreateOrderEventDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    SolanaCreateOrderEventDTO:
      type: object
      properties:
        blockNumber:
          type: integer
          description: Number of the block the event was emitted it
          format: int64
        blockTimestamp:
          type: integer
          description: Timestamp of the block the event was emitted it
          format: int64
        txHash:
          type: string
          description: Hash of the transaction
          nullable: true
        from:
          type: string
          description: Maker's address
          nullable: true
        to:
          type: string
          description: Receiver's address
          nullable: true
        token:
          type: string
          description: GiveToken address
          nullable: true
        amount:
          type: string
          description: Give amount
          nullable: true
        isDeposit:
          type: boolean
          description: True if current event is unlock event, false if it is unlock event
        giveAmountUSD:
          type: number
          description: USD equivalent for GiveAmount
          format: double
          nullable: true
      additionalProperties: false
      description: Information about create event emitted on Solana chain
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error

````